DataBindingSourceRegistry (Grails 6.0.0)

Package: org.grails.web.databinding.bindingsource

## [Groovy] Interface DataBindingSourceRegistry

-     interface DataBindingSourceRegistry

  Responsible for locating DataBindingSourceCreator instances and using them to create DataBindingSource instances

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    2.3
  See Also:
    DataBindingSourceCreator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `BEAN_NAME` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract void` | `addDataBindingSourceCreator(DataBindingSourceCreator creator)` Adds a new DataBindingSourceCreator to the registry
    `` | `abstract CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Locates a CollectionDataBindingSource for the given MimeType and binding target
    `` | `abstract DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Locates a DataBindingSource for the given MimeType and binding target

- - ### Field Detail

    - #### public static final java.lang.String BEAN_NAME

  - ### Method Detail

    - #### abstract void addDataBindingSourceCreator(DataBindingSourceCreator creator)

      Adds a new DataBindingSourceCreator to the registry

      Parameters:
        `creator` - The DataBindingSourceCreator

    - #### abstract CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Locates a CollectionDataBindingSource for the given MimeType and binding target

      Parameters:
        `mimeType` - The MimeType
        `bindingTarget` - The type of the binding target
        `bindingSource` - The binding source
      Returns:
        The CollectionDataBindingSource

    - #### abstract DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

      Locates a DataBindingSource for the given MimeType and binding target

      Parameters:
        `mimeType` - The MimeType
        `bindingTarget` - The type of the binding target
        `bindingSource` - The binding source
      Returns:
        The DataBindingSource